Yate: XmlDeclaration Class Reference

Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XmlDeclaration Class Reference

Xml Declaration. More...

`#include <yatexml.h>`

Inheritance diagram for XmlDeclaration:

## Public Member Functions
| XmlDeclaration (const char *version="1.0", const char *enc="utf-8")
| XmlDeclaration (const NamedList &decl)
| XmlDeclaration (const XmlDeclaration &orig)
| ~XmlDeclaration ()
const NamedList & | getDec () const
virtual XmlDeclaration * | xmlDeclaration ()
void | toString (String &dump, bool escape=true) const
Public Member Functions inherited from XmlChild
| XmlChild ()
virtual void | setParent (XmlParent *parent)
virtual XmlElement * | xmlElement ()
virtual XmlComment * | xmlComment ()
virtual XmlCData * | xmlCData ()
virtual XmlText * | xmlText ()
virtual XmlDoctype * | xmlDoctype ()
virtual void | replaceParams (const NamedList &params)
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | toString () const
virtual const String & | traceId () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

Xml Declaration.

Xml Declaration for Xml document

## Constructor & Destructor Documentation

XmlDeclaration | ( | const char * | version = `"1.0"`,
|  | const char * | enc = `"utf-8"`
| ) |  |

Constructor

Parameters

  version | XML version attribute
  enc | Encoding attribute

XmlDeclaration | ( | const NamedList & | decl | ) |

Constructor

Parameters

  decl | Declaration attributes

XmlDeclaration | ( | const XmlDeclaration & | orig | ) |

Copy constructor

Parameters

  orig | Original XmlDeclaration

~XmlDeclaration | ( |  | ) |

Destructor

## Member Function Documentation

const NamedList& getDec | ( |  | ) | const
| inline

Obtain the tag name and attributes list

Returns
  The declaration

void toString | ( | String & | dump,
|  | bool | escape = `true`
| ) |  | const

Build a String from this XmlDeclaration

Parameters

  dump | The string where to append representation
  escape | True if the attributes values need to be escaped

virtual XmlDeclaration* xmlDeclaration | ( |  | ) |
| inlinevirtual

Get the Xml declaration

Returns
  This object Reimplemented from XmlChild

Reimplemented from XmlChild.

The documentation for this class was generated from the following file:

- yatexml.h